package cn.com.poc.agent_application.query;	

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for AgentApplicationIndexPluginQuery
 */
@Entity
public class AgentApplicationIndexPluginQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;

    
    /** agent_id
    *agent_id
    */ 
    private java.lang.String agentId;
    
    @Column(name = "agent_id")
    public java.lang.String getAgentId(){
        return this.agentId;
    }
    
    public void setAgentId(java.lang.String agentId){
        this.agentId = agentId;
    }
    
    /** agent_avatar
    *agent_avatar
    */ 
    private java.lang.String agentAvatar;
    
    @Column(name = "agent_avatar")
    public java.lang.String getAgentAvatar(){
        return this.agentAvatar;
    }
    
    public void setAgentAvatar(java.lang.String agentAvatar){
        this.agentAvatar = agentAvatar;
    }
    
    /** agent_title
    *agent_title
    */ 
    private java.lang.String agentTitle;
    
    @Column(name = "agent_title")
    public java.lang.String getAgentTitle(){
        return this.agentTitle;
    }
    
    public void setAgentTitle(java.lang.String agentTitle){
        this.agentTitle = agentTitle;
    }
    
    /** agent_desc
    *agent_desc
    */ 
    private java.lang.String agentDesc;
    
    @Column(name = "agent_desc")
    public java.lang.String getAgentDesc(){
        return this.agentDesc;
    }
    
    public void setAgentDesc(java.lang.String agentDesc){
        this.agentDesc = agentDesc;
    }

    
} 